package org.eso.ohs.core.dbb.server;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.sql.SQLException;

import org.eso.ohs.core.dbb.rmi.DbbFactory;
import org.eso.ohs.core.dbb.rmi.DbbRemoteEngine;

/**
 * @author nkornwei
 * 
 * Moved from DbbServer.java as it was causing a cyclic definition error
 * with Java 1.3 onwards.
 *
 * Definition of a remote interface that has to be implemented by
 * the DbbServer class in order to generate rmi stubs. 
 */
public interface DbbEngineFactory extends Remote, DbbFactory {
    public DbbRemoteEngine getEngine() throws SQLException, RemoteException;
}
