package org.eso.ohs.persistence.dao;

import java.util.List;

import org.eso.ohs.dfs.Country;
import org.springframework.dao.DataAccessException;
import org.springframework.orm.hibernate3.HibernateTemplate;

public class CountryDAOHibernate implements CountryDAO {
	
    private HibernateTemplate hibernateTemplate; 

    public CountryDAOHibernate() {
        hibernateTemplate = new HibernateTemplate();
    }


	public List getCountryList() throws DataAccessException {
		List list = hibernateTemplate.loadAll(Country.class);
		return list;
	}


	public HibernateTemplate getHibernateTemplate() {
		return hibernateTemplate;
	}


	public void setHibernateTemplate(HibernateTemplate hibernateTemplate) {
		this.hibernateTemplate = hibernateTemplate;
	}
	
}
